# This package does not provide any useful debuginfo package
%global debug_package %{nil}

Name:           gecko-sharp2
Version:        0.13
Release:        32%{?dist}
Summary:        Gecko bindings for Mono

Group:          System Environment/Libraries
License:        MPLv1.1 or LGPLv2+
URL:            http://www.mono-project.com/
Source0:        http://ftp.novell.com/pub/mono/sources/gecko-sharp2/gecko-sharp-2.0-%{version}.tar.bz2

Patch0:         gecko-sharp-2.0-0.12-xulrunner.patch

BuildRequires:  gtk-sharp2-devel
BuildRequires:  gtk2-devel
BuildRequires:  mono-devel
BuildRequires:  gtk-sharp2-gapi
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  perl(XML::SAX)
BuildRequires:  gecko-devel
BuildRequires:  monodoc-devel
Requires:       gecko-libs

# Mono only available on these:
ExclusiveArch: %mono_arches

%description
This package provides Mono bindings for the Gecko engine, through
an easy-to-use widget that will allow you to embed a Mozilla
browser window into your Gtk# application.

%package devel
Requires: %{name} = %{version}-%{release}
Summary: Files needed for developing with gecko-sharp2
Group: Development/Libraries

%description devel
This package provides the necessary development libraries and headers
for writing gecko-sharp2 applications.

%prep
%setup -q -n gecko-sharp-2.0-%{version}
%patch0 -p1 -b .xl

find . -name Makefile.in -or -name \*.pc.in \
       -or -name Makefile.am \
       | while read f ;
         do
           sed -i -e 's!$(prefix)/lib/!%{_libdir}/!' \
               -e 's!${prefix}/lib/!%{_libdir}/!' \
               -e 's!${exec_prefix}/lib!%{_libdir}!' \
               -e 's!${exec_prefix}/lib/!%{_libdir}/!' "$f" 1>/dev/null
         done

%build
autoreconf --force --install
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%configure
make %{?_smp_mflags}

%install
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
make install DESTDIR=$RPM_BUILD_ROOT GACUTIL_FLAGS="/package gecko-sharp-2.0 /gacdir %{_libdir} /root ${RPM_BUILD_ROOT}%{_libdir}"

%files
%doc COPYING ChangeLog README
%{_libdir}/mono/gac/gecko-sharp
%{_libdir}/mono/gecko-sharp-2.0
%{_libdir}/monodoc/sources/gecko-sharp-docs.*

%files devel
%{_libdir}/pkgconfig/*-sharp-2.0.pc

%changelog
* Thu Oct 13 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-32
- mono rebuild for aarch64 support

* Tue Feb 16 2016 Martin Stransky <stransky@redhat.com> - 0.13-31
- disable debuginfo package generation

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.13-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon May 18 2015 Peter Robinson <pbrobinson@fedoraproject.org> 0.13-28
- Rebuild (mono4)

* Tue Mar 24 2015 Than Ngo <than@redhat.com> - 0.13-27
- use %%mono_arches

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Mar 28 2011 Christian Krause <chkr@fedoraproject.org> - 0.13-20
- Rebuilt against mono 2.10
- Minor spec file cleanup

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 11 2011 Dan Horák <dan[at]danny.cz> - 0.13-18
- updated the supported arch list

* Mon Nov 01 2010 Christian Krause <chkr@fedoraproject.org> - 0.13-17
- Rebuild again to create correct requires/provides capabilities

* Sat Oct 23 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.13-16.1
- Remove libdir patches with some sed magic
- Renumber patch2 to patch0

* Sat Oct 23 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.13-16
- Add monodoc patch

* Sat Oct 23 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.13-15
- Add BR monodoc-devel

* Sat Oct 09 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.13-14
- Rebuild for Mono 2.8

* Mon Oct 26 2009 Dennis Gilmore <dennis@ausil.us> - 0.13-13
- ExcludeArch sparc64

* Thu Aug 20 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 0.13-12
- Fix upgrade path versioning

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 17 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> -0.13-3
- Add ppc64 support

* Mon May 25 2009 Xavier Lamien <laxathom@fedoraproject.org> - 0.13-3
- Build arch ppc64.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jun  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.13-1
- update to 2.0-0.13

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.12-7
- Autorebuild for GCC 4.3

* Tue Nov 27 2007 Martin Stransky <stransky@redhat.com> - 0.12-6
- added a new gecko-libs-1.9 entry

* Fri Aug 24 2007 Adam Jackson <ajax@redhat.com> - 0.12-5
- Rebuild for build ID

* Mon Aug 13 2007 Christopher Aillon <caillon@redhat.com> - 0.12-4
- Update the license tag

* Fri Aug 10 2007 Christopher Aillon <caillon@redhat.com> - 0.12-3
- Also add alpha (#251495)

* Fri Jul  6 2007 Christopher Aillon <caillon@redhat.com> - 0.12-2
- Fix requires to be gecko-devel and gecko-libs

* Thu Feb  8 2007 Alexander Larsson <alexl@redhat.com> - 0.12-1
- Update to 0.12

* Sun Sep  3 2006 Christopher Aillon <caillon@redhat.com> - 0.11-12
- Update the pkgconfig file to use the correct LIBDIR (#204254)
- Add -devel sub-package

* Fri Aug 18 2006 Alexander Larsson <alexl@redhat.com> - 0.11-11
- Rebuild with new mono libdir

* Tue Aug  1 2006 Jesse Keating <jkeating@redhat.com> - 0.11-10
- and change the requires to reflect building against firefox-devel

* Mon Jul 31 2006 Jesse Keating <jkeating@redhat.com> - 0.11-9
- build against firefox-devel

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.11-8.1
- rebuild

* Sat Jun 24 2006 Jesse Keating <jkeating@redhat.com> 0.11-8
- BuildRequires: mono-devel, gtk-sharp2-gapi
- Diable s390 as well

* Tue Feb 28 2006 Karsten Hopp <karsten@redhat.de> 0.11-6
- BuildRequires: gtk2-devel

* Sun Feb 12 2006 Christopher Aillon <caillon@redhat.com> 0.11-5
- Rebuild

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 0.11-4.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 31 2006 Christopher Aillon <caillon@redhat.com> 0.11-4
- Rebuild

* Mon Jan  9 2006 Alexander Larsson <alexl@redhat.com> - 0.11-3
- Add s390

* Mon Nov 21 2005 Alexander Larsson <alexl@redhat.com> 0.11-2
- Put pkgconfig file in /usr/share

* Fri Nov 18 2005 Alexander Larsson <alexl@redhat.com> - 0.11-1
- Initial version

